Bug 1473915 - nmcli/nm-applet unresponsive with external usb wifi adapter
nmcli/nm-applet unresponsive with external usb wifi adapter
Status: NEW
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
25
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-22 06:04 EDT by slartibart70
Modified: 2017-11-16 13:37 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logfiles and stuff (49.11 KB, application/x-7z-compressed)
2017-07-25 14:00 EDT, slartibart70
no flags Details

  None (edit)
Description slartibart70 2017-07-22 06:04:56 EDT
Hi all,
i have an external usb wifi adapter which was (and still is) working properly regarding detection/drivers/firmware etc in fedora24 and very early fedora25. I did not use it until recently and things have changed considerably like so:

I am using a lenovo laptop with built-in wifi (model t440 and t420, different hw, same behavior) und use a realtek based usb wifi stick with an external antenna for better coverage.

- after plugging in the stick, the usb wifi is recognized (dmesg saying no problems)
- the plasma5 taskbar nm-applet ('networks') is opening as normal, but clicking on the 'configure network connections' icon is opening the connections/system settings module only with a very long delay!
- the command 'nmcli device status' is also slow as hell, e.g. even commandline completion 'nmcli device show <tab>' is taking verly long to display the internal wifi and the usb/external device name as completion suggestion

besides this slowness, i cannot force fedora to use the usb adapter exclusively for a specific wlan (and ignore the internal wifi adapter)
-- the nm-applet cannot choose which adapter to use
-- the 'connections/system settings module' seems to ignore settings on the tab 'wifi' / "restrict to device", even though choosing my two devices is possible 

-- this could(!) be related to a authorization problem, because i am running this 'connections/system settings module' as a normal user (not root). what makes me think so is the following: Instead of this tool i was also using nm-connection-editor' to change the settings - here, i am asked for the root password before any changes in devices is possible...(!)

So, questions:
- why is there this considerable delay when using bot adapters in nmcli/nm-applet?
- how can i simply disable the internal wifi for testing with the usb-wifi stick exclusively? Switching off (on the t420 i have a hardware switch for wifi/bluetooth) does also lead to fedora not recognizing the usb-wifi stick at all as a usable networking device!

As far as i remember, this was all working quite smoothly previously, switching devices was a breeze... 
Any idea about what logs i can provide to solve this problem?

For now, usb-wifi is simply not possible, i am not even sure if the scanning of networks is really using the usb-wifi stick or simply sticks to the internal wifi...

Thanks for your help
Comment 1 slartibart70 2017-07-22 06:07:41 EDT
forgot to mention:
- kernel 4.11.11
- fedora25 kde spin, plasma5 latest updates
Comment 2 Beniamino Galvani 2017-07-24 04:57:12 EDT
Can you please do the following:

  # (as root):
  nmcli general logging level TRACE

  # then plug in the stick

  # wait 20 seconds

  nmcli device status > nmcli-device.txt

  journalctl -u NetworkManager --since "2 minutes ago" > log.txt

  dmesg > dmesg.txt

and attach the 3 log files? Thanks!
Comment 3 slartibart70 2017-07-25 13:59:38 EDT
Hi,
please find the attached files to this report...
Comment 4 slartibart70 2017-07-25 14:00 EDT
Created attachment 1304383 [details]
logfiles and stuff
Comment 5 Beniamino Galvani 2017-07-25 16:24:58 EDT
It seems the wifi driver is buggy and doesn't accept a MAC address change. This causes a retry-loop for each wifi scan, which slows down NetworkManager.

Can you please try adding a new /etc/NetworkManager/conf.d/10-wifi-scan-mac.conf with the following content:

[device]
wifi.scan-rand-mac-address=no

Then restart NM with: systemctl restart NetworkManager
Comment 6 slartibart70 2017-07-29 15:28:32 EDT
Thanks a lot - your suggestion did the trick!!!
Now, i can see in plasma/network applet the wifi ESSIDs and the corresponding device, so choosing the right device is easy (and possible!) again.
nmcli and iwlist work as expected

Any idea if having this setting (in conf.d) as a default is considered a problem?
And, what can we do to fix the driver itself (the firmware wasn't updated for some time, at least here i am at the 'current' release... the driver comes with the kernel itself?)

Anyway, thanks for your help!!!
Comment 7 Beniamino Galvani 2017-07-31 15:19:10 EDT
(In reply to slartibart70 from comment #6)
> Thanks a lot - your suggestion did the trick!!!
> Now, i can see in plasma/network applet the wifi ESSIDs and the
> corresponding device, so choosing the right device is easy (and possible!)
> again.
> nmcli and iwlist work as expected
> 
> Any idea if having this setting (in conf.d) as a default is considered a
> problem?

No, the only effect is that MAC address randomization during wifi scans will be disabled; it's enabled by default to improve privacy, as it prevents possible tracking of your MAC address.

> And, what can we do to fix the driver itself (the firmware wasn't updated
> for some time, at least here i am at the 'current' release... the driver
> comes with the kernel itself?)

Yes, please report it upstream or file a bug for the 'kernel' component.
Comment 8 Fedora End Of Life 2017-11-16 13:37:45 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.